Portal    Foro    Buscar    FAQ    Registrarse    Conectarse


Publicar nuevo tema  Responder al tema 
Página 1 de 1
 
 
Mensaje Pesado En La Consola Sobre QT
Autor Mensaje
Responder citando   Descargar mensaje  
Mensaje Mensaje Pesado En La Consola Sobre QT 
 
Buenas!.

Seguramente no es problema de gambas. Pero que lata cada vez que ejecuto un proyecto en un ordenador determinado,
no todos.

Citar:

gb.gui.qt: warning: 'gb.qt5' component not found, using 'gb.qt4' instead


Estuvimos hablando de esto hace tiempo, creo.
¿ Hay una forma de evitar el mensaje "plasta" ?.  

Si fuera algo propio de QT daría un error distinto, pero este es del propio gambas ya que conoce el componente...siii..
Es peor que el tío que te pide tabaco o que le de algo.

Oye...."gb.gui.qt: warning: 'gb.qt5' component not found, using 'gb.qt4' instead"

Y así todos los días. Sera plasta...   

Saludos
 




===================
Gambas Básico
“Si no puedes explicar algo de forma sencilla, entonces es que tú no lo entiendes bien.” Albert Einstein
 
Shell - Ver perfil del usuarioEnviar mensaje privadoVisitar sitio web del usuario 
Volver arribaPágina inferior
Responder citando   Descargar mensaje  
Mensaje Re: Mensaje Pesado En La Consola Sobre QT 
 
Enlaza el proyecto con qt4, no con qt.gui.
 




===================
No podemos regresar
 
shordi - Ver perfil del usuarioEnviar mensaje privado 
Volver arribaPágina inferior
Responder citando   Descargar mensaje  
Mensaje Re: Mensaje Pesado En La Consola Sobre QT 
 
Shordi:

Citar:

Enlaza el proyecto con qt4, no con qt.gui.


No suelo cargar el gb.qt4 y desde luego qt.gui no. El que si uso es gb.gui.qt para que seleccione uno u otra versión de librería.
Creo que era lo adecuado desde que comenzamos a usar gb.qt5 o gb.qt4 y teníamos problemas con proyectos hechos con qt4
al cambiar a qt5. Me parece que Julio en su día estuvo comentando la solución sobre ese tema.

Normalmente creo una aplicación QTy por defecto el mismo usa el componente gb.gui.qt.  

Es un poco rollo. Pero si se puede evitar. No esta mal que seleccione la librería QT que necesite,
pero que lo recalque siempre, es algo pesado.

Es curioso que con QT5 no diga nada y con QT4 si. Según pc, claro.

Saludos
 




===================
Gambas Básico
“Si no puedes explicar algo de forma sencilla, entonces es que tú no lo entiendes bien.” Albert Einstein
 
Shell - Ver perfil del usuarioEnviar mensaje privadoVisitar sitio web del usuario 
Volver arribaPágina inferior
Responder citando   Descargar mensaje  
Mensaje Re: Mensaje Pesado En La Consola Sobre QT 
 
Citar:
El que si uso es gb.gui.qt para que seleccione uno u otra versión de librería.
Creo que era lo adecuado desde que comenzamos a usar gb.qt5 o gb.qt4 y teníamos problemas con proyectos hechos con qt4
al cambiar a qt5.


Shell... me recuerdas al albañil del viejo chiste...


Link

 




===================
No podemos regresar
 
shordi - Ver perfil del usuarioEnviar mensaje privado 
Volver arribaPágina inferior
Responder citando   Descargar mensaje  
Mensaje Re: Mensaje Pesado En La Consola Sobre QT 
 
Shordi:

El chiste es bueno, el albañil estaba pirado. Bueno, quiero decir que sabía lo hacía pero esperaba algo distinto.  
¿ Eso como se come ?. Vale, si, era bocata de tortilla todos los días.

Es un problema de existencialismo.
El deseo de algo distinto todos los días con la cruda realidad diaria.

Si lo vemos desde otra forma. Quiero que me toque el cupón pero no lo compro nunca.  
Entonces este hombre le pedía al altísimo que le tocase el cupón. Hasta que un día bajó el altísimo
y le dijo, pero si es que no pones de tu parte!.

Saludos
 




===================
Gambas Básico
“Si no puedes explicar algo de forma sencilla, entonces es que tú no lo entiendes bien.” Albert Einstein
 
última edición por Shell el Miercoles, 03 Abril 2019, 20:08; editado 1 vez 
Shell - Ver perfil del usuarioEnviar mensaje privadoVisitar sitio web del usuario 
Volver arribaPágina inferior
Responder citando   Descargar mensaje  
Mensaje Re: Mensaje Pesado En La Consola Sobre QT 
 
Problema solucionado en este caso. Antes no me dejaba desde Synaptic instalar los componentes de una versión de QT para Gambas
sin quitar la otra.  Synaptic lo eliminaba automáticamente por algún tipo de conflicto de dependencias.
No sabría decir si eso solo ocurre con la versión estable. O por la versión de QT instalada en el pc.

Comprobé la versión de Qmake, dio para QT5 e instalé los componentes de Qt5 con los mismos nombres que tenía de los de Qt4.
Ha funcionado a la primera. En este pc uso la versión de desarrollo. Actualmente solo con gb.gui.qt y que gambas decida cual quiere.
Adiós mensaje!.  

Saludos
 




===================
Gambas Básico
“Si no puedes explicar algo de forma sencilla, entonces es que tú no lo entiendes bien.” Albert Einstein
 
última edición por Shell el Jueves, 04 Abril 2019, 01:16; editado 2 veces 
Shell - Ver perfil del usuarioEnviar mensaje privadoVisitar sitio web del usuario 
Volver arribaPágina inferior
Mostrar mensajes anteriores:    
 
Ocultar¡Este tema fue útil?

 

Elegir valoración:                       

Media de valoración Valoración mínima Valoración máxima Número de valoraciones
0.00 0 0 0
 
OcultarTemas parecidos
Tema Autor Foro Respuestas último mensaje
No hay nuevos mensajes Duda Sobre ProgressBar Y Archivo Pesado :) misael General 3 Miercoles, 17 Agosto 2011, 17:24 Ver último mensaje
misael
No hay nuevos mensajes Un Detalle Sobre El Desarrollo De Una Term... jousseph Aplicaciones/Fragmentos de Código 1 Miercoles, 20 Agosto 2014, 06:44 Ver último mensaje
jousseph
No hay nuevos mensajes Preparar Archivo Sql Pesado Para Importar ... tincho Bases de Datos 3 Domingo, 17 Abril 2016, 22:01 Ver último mensaje
shordi
No hay nuevos mensajes Mensaje De Conexión techm3 Bases de Datos 6 Miercoles, 17 Marzo 2010, 20:36 Ver último mensaje
techm3
 

Publicar nuevo tema  Responder al tema  Página 1 de 1
 

Usuarios navegando en este tema: 0 registrados, 0 ocultos y 1 invitado
Usuarios registrados conectados: Ninguno


 
Lista de permisos
No puede crear mensajes
No puede responder temas
No puede editar sus mensajes
No puede borrar sus mensajes
No puede votar en encuestas
No puede adjuntar archivos
No puede descargar archivos
No puede publicar eventos en el calendario